*** This do file creates FIT experience variables All (home + Host): FITexperAll,
*** FITexposAll, AdverseExpAll, AdverseExposAll, PositiveExpAll, PositiveExposAll  



*** FITexperAll: number of countries the firm has invested in that had a FIT for solar power at the time of investment.** 
*
gen FITexperAll = FITexperHome + FITexperForeign
*gen L_FITexperAll = L_FITexperHome + L_FITexperForeign
*
****************************************************************************



*** FITexposAll: number of years the company has been exposed to a FIT across all its (home and foreign) solar investments.
*
gen  FITexposAll = FITexposHome + FITexposForeign
*gen  L_FITexposAll = L_FITexposHome + L_FITexposForeign


*
****************************************************************************



*** AdverseExpAll: number of countries the firm has invested in and where it faced recent adverse experience with a FIT scheme.
*
gen AdverseExpAll = AdverseExpHome + AdverseExpForeign
*gen L_AdverseExpAll = L_AdverseExpHome + L_AdverseExpForeign
*
****************************************************************************



*** AdverseExposAll: the number of years the firm has been exposed to a FIT without significant negative changes (reverse coded), averaged across all host countries the firm has invested in.
*
gen AdverseExposAll = AdverseExposHome + AdverseExposForeign
*gen L_AdverseExposAll = L_AdverseExposHome + L_AdverseExposForeign
*
****************************************************************************

*** AdverseExposAll1: the number of years the firm has been exposed to a FIT without significant negative changes (reverse coded), averaged across all host countries the firm has invested in.
*
gen AdverseExposAll1 = AdverseExposHome1 + AdverseExposForeign1


******* AdverseExposAllAlt: the number of years the firm has been exposed to a FIT without significant negative changes (reverse coded), averaged across all host countries the firm has invested in.

gen AdverseExposAllAlt=AdverseExposHomeAlt + AdverseExposForeignAlt

*****AdverseExposAllUncert1 : the number of years the firm has been exposed to a FIT without significant changes (reverse coded), averaged across all host countries the firm has invested in. 

gen AdverseExposAllUncert1=AdverseExposHomeUncert+AdverseExposForeignUncert1

*****AdverseExposAllUncert1 : the number of years the firm has been exposed to a FIT without significant changes (reverse coded), averaged across all host countries the firm has invested in taking into account change in one country for all . 

gen AdverseExposAllUncert2=AdverseExposHomeUncert+AdverseExposForeignUncert2



*** PositiveExpAll: number of countries the firm has invested in and where it faced recent Positive experience with a FIT scheme.
*
gen PositiveExpAll = PositiveExpHome + PositiveExpForeign
*gen L_PositiveExpAll = L_PositiveExpHome + L_PositiveExpForeign
*
****************************************************************************




****PositiveExposAll: the number of years the firm has been exposed to a FIT without significant changes (reverse coded), averaged across all host countries the firm has invested in.
*
*gen PositiveExposAll = PositiveExposHome + PositiveExposForeign
*gen L_PositiveExposAll = L_PositiveExposHome + L_PositiveExposForeign
*
****************************************************************************

****************ROBUSTNESS TEST***************************************************************************************
*****AdverseExpPast5YrAll: dummy, gets value of 1 if the firm has been exposed to negative change in the past 5 years in home and/or host countries
gen AdverseExpPast5YrAll= max( AdversePast5Yr , AdverseForeignPast5Yr)

*****AdverseExpPast3YrAll: dummy, gets value of 1 if the firm has been exposed to negative change in the past 3 years in home and/or host countries

gen AdverseExpPast3YrAll= max( AdversePast3Yr , AdverseForeignPast3Yr)

*****AdverseExpPast1YrAll: dummy, gets value of 1 if the firm has been exposed to negative change in the last year in home and/or host countries

gen AdverseExpPast1YrAll= max( AdversePast1Yr , AdverseForeignPast1Yr)




