
*******Main models for EU-EU************************************


corr invchoice L_hs_fitprice ///
	   FITexposAll ///
	   MarketExpos2 ///
	   AdverseExposAll1 ///
	   agy_ngfijt L_fdi_netin_gdpperc  ///
	   geodistance  diffcap ///
	   uncertainty2_1 L_investfreed  ///
	   pigs easteu hs_highcorp hs_highlib ///
	   L_hs_demgrowth L_hs_solrad L_hs_prod L_hs_gdpch ///
	   L_hs_envvalues1 L_hs_regulother ///
	   , means
	   
	   

* Define the set of control variables 
global controlVars  agy_ngfijt L_fdi_netin_gdpperc  ///
			geodistance  diffcap ///
			uncertainty2_1 L_investfreed  ///
			pigs easteu hs_highcorp hs_highlib ///
			L_hs_demgrowth L_hs_solrad L_hs_prod L_hs_gdpch ///
			L_hs_envvalues1 L_hs_regulother 
	   
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   , group(invid)	   

gen samplefinal=e(sample)
	   
* Test only control variables

clogit invchoice $controlVars if samplefinal==1 ///
   , group(invid)	   

outreg2 using MainEU_v3.xls, ctitle(C) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice ///
   , group(invid)	   
	  
outreg2 using MainEU_v3.xls, ctitle(H1) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   , group(invid)	   
	  

outreg2 using MainEU_v3.xls, ctitle(H2) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   , group(invid)	   
	  

outreg2 using MainEU_v3.xls, ctitle(H3) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



gen a=L_hs_fitprice*FITexposAll
gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   , group(invid)	   

estimates store nonmarket

clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   , group(invid)	   

estimates store market

   
suest nonmarket market

testnl [nonmarket_invchoice]a = [market_invchoice]b



* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   , group(invid)	   
	  
outreg2 using MainEU_v3.xls, ctitle(H4) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   , group(invid)	   
	  
outreg2 using MainEU_v3.xls, ctitle(Full) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



*****************************************************************
*********************FirmFromSolar**********************************
*****************************************************************

*******Main models for all countries************************************

	   
* Test only control variables
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if FirmFromSolar==0 , group(invid)	   
	  
gen samplensolar=e(sample)

clogit invchoice $controlVars ///
   if FirmFromSolar==0 & samplensolar==1, group(invid)	   

outreg2 using FirmFromSolarEU_v3.xls, ctitle(C NSolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if FirmFromSolar==1 , group(invid)	   

gen samplesolar=e(sample)

clogit invchoice $controlVars ///
   if FirmFromSolar==1 & samplesolar==1 , group(invid)	   

outreg2 using FirmFromSolarEU_v3.xls, ctitle(C Solar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if FirmFromSolar==0 , group(invid)	   
	  
outreg2 using FirmFromSolarEU_v3.xls, ctitle(H1 NSolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if FirmFromSolar==1 , group(invid)	   
	  
outreg2 using FirmFromSolarEU_v3.xls, ctitle(H1 Solar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if FirmFromSolar==0 , group(invid)	   
	  

outreg2 using FirmFromSolarEU_v3.xls, ctitle(H2 NSolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if FirmFromSolar==1 , group(invid)	   
	  

outreg2 using FirmFromSolarEU_v3.xls, ctitle(H2 Solar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if FirmFromSolar==0 , group(invid)	   
	  

outreg2 using FirmFromSolarEU_v3.xls, ctitle(H3 NSolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if FirmFromSolar==1 , group(invid)	   
	  

outreg2 using FirmFromSolarEU_v3.xls, ctitle(H3 Solar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



*gen a=L_hs_fitprice*FITexposAll
*gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if FirmFromSolar==0 , group(invid)	   

estimates store nonmarketNSolar

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if FirmFromSolar==1 , group(invid)	   

estimates store nonmarketSolar


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if FirmFromSolar==0 , group(invid)	   

estimates store marketNSolar


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if FirmFromSolar==1 , group(invid)	   

estimates store marketSolar

   
suest nonmarketNSolar marketNSolar

testnl [nonmarketNSolar_invchoice]a = [marketNSolar_invchoice]b


suest nonmarketSolar marketSolar

testnl [nonmarketSolar_invchoice]a = [marketSolar_invchoice]b


* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if FirmFromSolar==0 , group(invid)	   
	  
outreg2 using FirmFromSolarEU_v3.xls, ctitle(H4 NSolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if FirmFromSolar==1 , group(invid)	   
	  
outreg2 using FirmFromSolarEU_v3.xls, ctitle(H4 Solar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append




* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if FirmFromSolar==0, group(invid)	   
	  
outreg2 using FirmFromSolarEU_v3.xls, ctitle(Full NSolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if FirmFromSolar==1, group(invid)	   
	  
outreg2 using FirmFromSolarEU_v3.xls, ctitle(Full Solar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



*****************************************************************
*********************OnlyEurope**********************************
*****************************************************************

*******Main models for all countries************************************

	   
* Test only control variables
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if invouteu==0 , group(invid)	   
	  
gen sampleOnlyEU=e(sample)

clogit invchoice $controlVars ///
   if invouteu==0 & sampleOnlyEU==1, group(invid)	   

outreg2 using invouteuEU_v3.xls, ctitle(C OnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if invouteu==1 , group(invid)	   

gen sampleNOnlyEU=e(sample)

clogit invchoice $controlVars ///
   if invouteu==1 & sampleNOnlyEU==1 , group(invid)	   

outreg2 using invouteuEU_v3.xls, ctitle(C NOnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if invouteu==0 , group(invid)	   
	  
outreg2 using invouteuEU_v3.xls, ctitle(H1 OnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if invouteu==1 , group(invid)	   
	  
outreg2 using invouteuEU_v3.xls, ctitle(H1 NOnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if invouteu==0 , group(invid)	   
	  

outreg2 using invouteuEU_v3.xls, ctitle(H2 OnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if invouteu==1 , group(invid)	   
	  

outreg2 using invouteuEU_v3.xls, ctitle(H2 NOnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if invouteu==0 , group(invid)	   
	  

outreg2 using invouteuEU_v3.xls, ctitle(H3 OnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if invouteu==1 , group(invid)	   
	  

outreg2 using invouteuEU_v3.xls, ctitle(H3 NOnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



*gen a=L_hs_fitprice*FITexposAll
*gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if invouteu==0 , group(invid)	   

estimates store nonmarketOnlyEU

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if invouteu==1 , group(invid)	   

estimates store nonmarketNOnlyEU


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if invouteu==0 , group(invid)	   

estimates store marketOnlyEU


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if invouteu==1 , group(invid)	   

estimates store marketNOnlyEU

   
suest nonmarketOnlyEU marketOnlyEU

testnl [nonmarketOnlyEU_invchoice]a = [marketOnlyEU_invchoice]b


suest nonmarketNOnlyEU marketNOnlyEU

testnl [nonmarketNOnlyEU_invchoice]a = [marketNOnlyEU_invchoice]b


* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if invouteu==0 , group(invid)	   
	  
outreg2 using invouteuEU_v3.xls, ctitle(H4 OnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if invouteu==1 , group(invid)	   
	  
outreg2 using invouteuEU_v3.xls, ctitle(H4 NOnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append




* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if invouteu==0, group(invid)	   
	  
outreg2 using invouteuEU_v3.xls, ctitle(Full OnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if invouteu==1, group(invid)	   
	  
outreg2 using invouteuEU_v3.xls, ctitle(Full NOnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append




*****************************************************************************************************************************************
*****************************************************************************************************************************************
*****************************************************************************************************************************************
*****************************************************************************************************************************************
*****************************************************************************************************************************************
*****************************************************************************************************************************************





*******Main models for all************************************


corr invchoice agy_ngfijt ///
	   geodistance  uncertainty2_1 pigs easteu hs_highcorp hs_highlib diffcap ///
	   L_hs_demgrowth L_hs_solrad L_hs_prod ///
	   L_hs_gdpch L_investfreed L_hs_ineu L_fdi_netin_gdpperc ///
	   L_hs_envvalues1 L_hs_regulother ///
	   L_hs_fitprice ///
	   FITexposAll ///
	   MarketExpos2 ///
	   AdverseExposAll ///
	   , means
	   
	   
	   
* Test only control variables

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   , group(invid)	   

gen samplefinal=e(sample)

clogit invchoice $controlVars if samplefinal==1 ///
   , group(invid)	   

outreg2 using MainAll_v3.xls, ctitle(C) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice ///
   , group(invid)	   
	  
outreg2 using MainAll_v3.xls, ctitle(H1) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   , group(invid)	   
	  

outreg2 using MainAll_v3.xls, ctitle(H2) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   , group(invid)	   
	  

outreg2 using MainAll_v3.xls, ctitle(H3) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



gen a=L_hs_fitprice*FITexposAll
gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   , group(invid)	   

estimates store nonmarket

clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   , group(invid)	   

estimates store market

   
suest nonmarket market

testnl [nonmarket_invchoice]a = [market_invchoice]b



* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   , group(invid)	   
	  
outreg2 using MainAll_v3.xls, ctitle(H4) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   , group(invid)	   
	  
outreg2 using MainAll_v3.xls, ctitle(Full) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append




*****************************************************************
*********************FirmFromSolar**********************************
*****************************************************************

*******Main models for all countries************************************

	   
* Test only control variables
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if FirmFromSolar==0 , group(invid)	   
	  
gen samplensolar=e(sample)
	  
	  
clogit invchoice $controlVars  ///
   if FirmFromSolar==0 & samplensolar==1 , group(invid)	   

outreg2 using FirmFromSolarAll_v3.xls, ctitle(C NSolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if FirmFromSolar==1 , group(invid)	   
	  
gen samplesolar=e(sample)


clogit invchoice $controlVars  ///
   if FirmFromSolar==1 & samplesolar==1 , group(invid)	   

outreg2 using FirmFromSolarAll_v3.xls, ctitle(C Solar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append




* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if FirmFromSolar==0 , group(invid)	   
	  
outreg2 using FirmFromSolarAll_v3.xls, ctitle(H1 NSolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if FirmFromSolar==1 , group(invid)	   
	  
outreg2 using FirmFromSolarAll_v3.xls, ctitle(H1 Solar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if FirmFromSolar==0 , group(invid)	   
	  

outreg2 using FirmFromSolarAll_v3.xls, ctitle(H2 NSolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if FirmFromSolar==1 , group(invid)	   
	  

outreg2 using FirmFromSolarAll_v3.xls, ctitle(H2 Solar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if FirmFromSolar==0 , group(invid)	   
	  

outreg2 using FirmFromSolarAll_v3.xls, ctitle(H3 NSolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if FirmFromSolar==1 , group(invid)	   
	  

outreg2 using FirmFromSolarAll_v3.xls, ctitle(H3 Solar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



*gen a=L_hs_fitprice*FITexposAll
*gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if FirmFromSolar==0 , group(invid)	   

estimates store nonmarketNSolar

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if FirmFromSolar==1 , group(invid)	   

estimates store nonmarketSolar


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if FirmFromSolar==0 , group(invid)	   

estimates store marketNSolar


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if FirmFromSolar==1 , group(invid)	   

estimates store marketSolar

   
suest nonmarketNSolar marketNSolar

testnl [nonmarketNSolar_invchoice]a = [marketNSolar_invchoice]b


suest nonmarketSolar marketSolar

testnl [nonmarketSolar_invchoice]a = [marketSolar_invchoice]b


* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if FirmFromSolar==0 , group(invid)	   
	  
outreg2 using FirmFromSolarAll_v3.xls, ctitle(H4 NSolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if FirmFromSolar==1 , group(invid)	   
	  
outreg2 using FirmFromSolarAll_v3.xls, ctitle(H4 Solar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append




* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if FirmFromSolar==0, group(invid)	   
	  
outreg2 using FirmFromSolarAll_v3.xls, ctitle(Full NSolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if FirmFromSolar==1, group(invid)	   
	  
outreg2 using FirmFromSolarAll_v3.xls, ctitle(Full Solar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append






*****************************************************************
*********************OnlyEurope**********************************
*****************************************************************

*******Main models for all countries************************************

	   
* Test only control variables
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if invouteu==0 , group(invid)	   
	  
gen sampleOnlyEU=e(sample)

clogit invchoice $controlVars ///
   if invouteu==0 & sampleOnlyEU==1, group(invid)	   

outreg2 using invouteuAll_v3.xls, ctitle(C OnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if invouteu==1 , group(invid)	   

gen sampleNOnlyEU=e(sample)

clogit invchoice $controlVars ///
   if invouteu==1 & sampleNOnlyEU==1 , group(invid)	   

outreg2 using invouteuAll_v3.xls, ctitle(C NOnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if invouteu==0 , group(invid)	   
	  
outreg2 using invouteuAll_v3.xls, ctitle(H1 OnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if invouteu==1 , group(invid)	   
	  
outreg2 using invouteuAll_v3.xls, ctitle(H1 NOnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if invouteu==0 , group(invid)	   
	  

outreg2 using invouteuAll_v3.xls, ctitle(H2 OnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if invouteu==1 , group(invid)	   
	  

outreg2 using invouteuAll_v3.xls, ctitle(H2 NOnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if invouteu==0 , group(invid)	   
	  

outreg2 using invouteuAll_v3.xls, ctitle(H3 OnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if invouteu==1 , group(invid)	   
	  

outreg2 using invouteuAll_v3.xls, ctitle(H3 NOnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



*gen a=L_hs_fitprice*FITexposAll
*gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if invouteu==0 , group(invid)	   

estimates store nonmarketOnlyEU

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if invouteu==1 , group(invid)	   

estimates store nonmarketNOnlyEU


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if invouteu==0 , group(invid)	   

estimates store marketOnlyEU


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if invouteu==1 , group(invid)	   

estimates store marketNOnlyEU

   
suest nonmarketOnlyEU marketOnlyEU

testnl [nonmarketOnlyEU_invchoice]a = [marketOnlyEU_invchoice]b


suest nonmarketNOnlyEU marketNOnlyEU

testnl [nonmarketNOnlyEU_invchoice]a = [marketNOnlyEU_invchoice]b


* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if invouteu==0 , group(invid)	   
	  
outreg2 using invouteuAll_v3.xls, ctitle(H4 OnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if invouteu==1 , group(invid)	   
	  
outreg2 using invouteuAll_v3.xls, ctitle(H4 NOnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append





* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if invouteu==0, group(invid)	   
	  
outreg2 using invouteuAll_v3.xls, ctitle(Full OnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if invouteu==1, group(invid)	   
	  
outreg2 using invouteuAll_v3.xls, ctitle(Full NOnlyEU) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append




***********************************************************************************************************
***********************************************************************************************************
*********************************No Germany****************************************************************
***********************************************************************************************************
***********************************************************************************************************



* Define the set of control variables 
global controlVars  agy_ngfijt L_fdi_netin_gdpperc  ///
			geodistance  diffcap ///
			uncertainty2_1 L_investfreed  ///
			pigs easteu hs_highcorp hs_highlib ///
			L_hs_demgrowth L_hs_solrad L_hs_prod L_hs_gdpch ///
			L_hs_envvalues1 L_hs_regulother 
	   
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   , group(invid)	   

gen samplefinal=e(sample)
	   
* Test only control variables

clogit invchoice $controlVars if samplefinal==1 & home!="Germany" ///
   , group(invid)	   

outreg2 using NoGermany.xls, ctitle(C) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice if home!="Germany" ///
   , group(invid)	   
	  
outreg2 using NoGermany.xls, ctitle(H1) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll if home!="Germany" ///
   , group(invid)	   
	  

outreg2 using NoGermany.xls, ctitle(H2) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 if home!="Germany" ///
   , group(invid)	   
	  

outreg2 using NoGermany.xls, ctitle(H3) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



gen a=L_hs_fitprice*FITexposAll
gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a if home!="Germany" ///
   , group(invid)	   

estimates store nonmarket

clogit invchoice $controlVars ///
   L_hs_fitprice b if home!="Germany" ///
   , group(invid)	   

estimates store market

   
suest nonmarket market

testnl [nonmarket_invchoice]a = [market_invchoice]b



* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 if home!="Germany" ///
   , group(invid)	   
	  
outreg2 using NoGermany.xls, ctitle(H4) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 if home!="Germany" ///
   , group(invid)	   
	  
outreg2 using NoGermany.xls, ctitle(Full) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append











*****************************************************************
*********************Long FIT**********************************
*****************************************************************

*******Main models for all countries************************************

gen longfit= ((home=="Austria" | home=="Czech Republic" | home=="France" | home=="Germany" | home=="Hungary" | home=="Portugal" | home=="Netherlands" | home=="Spain") & (invchoice==1))
egen x=max(longfit), by(invid)
replace longfit=x

* Define the set of control variables 
global controlVars  agy_ngfijt L_fdi_netin_gdpperc  ///
			geodistance  diffcap ///
			uncertainty2_1 L_investfreed  ///
			pigs easteu hs_highcorp hs_highlib ///
			L_hs_demgrowth L_hs_solrad L_hs_prod L_hs_gdpch ///
			L_hs_envvalues1 L_hs_regulother 

			
	   
* Test only control variables
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if longfit==0 , group(invid)	   
	  
gen samplelong=e(sample)

clogit invchoice $controlVars ///
   if longfit==0 & samplelong==1, group(invid)	   

outreg2 using longfitEU.xls, ctitle(C recent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if longfit==1 , group(invid)	   

gen sampleNlong=e(sample)

clogit invchoice $controlVars ///
   if longfit==1 & sampleNlong==1 , group(invid)	   

outreg2 using longfitEU.xls, ctitle(C Nrecent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if longfit==0 , group(invid)	   
	  
outreg2 using longfitEU.xls, ctitle(H1 recent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if longfit==1 , group(invid)	   
	  
outreg2 using longfitEU.xls, ctitle(H1 Nrecent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if longfit==0 , group(invid)	   
	  

outreg2 using longfitEU.xls, ctitle(H2 recent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if longfit==1 , group(invid)	   
	  

outreg2 using longfitEU.xls, ctitle(H2 Nrecent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if longfit==0 , group(invid)	   
	  

outreg2 using longfitEU.xls, ctitle(H3 recent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if longfit==1 , group(invid)	   
	  

outreg2 using longfitEU.xls, ctitle(H3 Nrecent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



gen a=L_hs_fitprice*FITexposAll
gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if longfit==0 , group(invid)	   

estimates store nonmarketrecentFIT

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if longfit==1 , group(invid)	   

estimates store nonmarketNrecentFIT


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if longfit==0 , group(invid)	   

estimates store marketrecentFIT


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if longfit==1 , group(invid)	   

estimates store marketNrecentFIT

   
suest nonmarketrecentFIT marketrecentFIT

testnl [nonmarketrecentFIT_invchoice]a = [marketrecentFIT_invchoice]b


suest nonmarketNrecentFIT marketNrecentFIT

testnl [nonmarketNrecentFIT_invchoice]a = [marketNrecentFIT_invchoice]b


* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if longfit==0 , group(invid)	   
	  
outreg2 using longfitEU.xls, ctitle(H4 recent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if longfit==1 , group(invid)	   
	  
outreg2 using longfitEU.xls, ctitle(H4 Nrecent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append





* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if longfit==0, group(invid)	   
	  
outreg2 using longfitEU.xls, ctitle(Full recent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if longfit==1, group(invid)	   
	  
outreg2 using longfitEU.xls, ctitle(Full Nrecent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append





drop longfit x samplelong sampleNlong a b





**********************************************************************************
*********************High solar capacity at home**********************************
**********************************************************************************

*******Main models for all countries************************************

egen tagcountryyear=tag(home year)
sum hm_pvcapactot  if tagcountryyear==1, d
gen highpvcap=(hm_pvcapactot >=r(p75))


	   
* Test only control variables
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if highpvcap==0 , group(invid)	   
	  
gen samplepv=e(sample)

clogit invchoice $controlVars ///
   if highpvcap==0 & samplepv==1, group(invid)	   

outreg2 using highpvcapEU.xls, ctitle(C lowsolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if highpvcap==1 , group(invid)	   

gen sampleNpv=e(sample)

clogit invchoice $controlVars ///
   if highpvcap==1 & sampleNpv==1 , group(invid)	   

outreg2 using highpvcapEU.xls, ctitle(C Nlowsolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if highpvcap==0 , group(invid)	   
	  
outreg2 using highpvcapEU.xls, ctitle(H1 lowsolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if highpvcap==1 , group(invid)	   
	  
outreg2 using highpvcapEU.xls, ctitle(H1 Nlowsolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if highpvcap==0 , group(invid)	   
	  

outreg2 using highpvcapEU.xls, ctitle(H2 lowsolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if highpvcap==1 , group(invid)	   
	  

outreg2 using highpvcapEU.xls, ctitle(H2 Nlowsolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if highpvcap==0 , group(invid)	   
	  

outreg2 using highpvcapEU.xls, ctitle(H3 lowsolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if highpvcap==1 , group(invid)	   
	  

outreg2 using highpvcapEU.xls, ctitle(H3 Nlowsolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



*gen a=L_hs_fitprice*FITexposAll
*gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if highpvcap==0 , group(invid)	   

estimates store nonmarketrecentFIT

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if highpvcap==1 , group(invid)	   

estimates store nonmarketNrecentFIT


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if highpvcap==0 , group(invid)	   

estimates store marketrecentFIT


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if highpvcap==1 , group(invid)	   

estimates store marketNrecentFIT

   
suest nonmarketrecentFIT marketrecentFIT

testnl [nonmarketrecentFIT_invchoice]a = [marketrecentFIT_invchoice]b


suest nonmarketNrecentFIT marketNrecentFIT

testnl [nonmarketNrecentFIT_invchoice]a = [marketNrecentFIT_invchoice]b


* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if highpvcap==0 , group(invid)	   
	  
outreg2 using highpvcapEU.xls, ctitle(H4 lowsolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if highpvcap==1 , group(invid)	   
	  
outreg2 using highpvcapEU.xls, ctitle(H4 Nlowsolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append





* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if highpvcap==0, group(invid)	   
	  
outreg2 using highpvcapEU.xls, ctitle(Full lowsolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if highpvcap==1, group(invid)	   
	  
outreg2 using highpvcapEU.xls, ctitle(Full Nlowsolar) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append










***********************************************************************************************************
***********************************************************************************************************
*********************************No 2013****************************************************************
***********************************************************************************************************
***********************************************************************************************************



* Define the set of control variables 
global controlVars  agy_ngfijt L_fdi_netin_gdpperc  ///
			geodistance  diffcap ///
			uncertainty2_1 L_investfreed  ///
			pigs easteu hs_highcorp hs_highlib ///
			L_hs_demgrowth L_hs_solrad L_hs_prod L_hs_gdpch ///
			L_hs_envvalues1 L_hs_regulother 
	   
* Test only control variables

clogit invchoice $controlVars if year<2013 ///
   , group(invid)	   

outreg2 using No.xls, ctitle(C) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* Test main effect and control variables (H1)



clogit invchoice $controlVars ///
   L_hs_fitprice if year<2013 ///
   , group(invid)	   
	  
outreg2 using No2013.xls, ctitle(H1) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll if year<2013 ///
   , group(invid)	   
	  

outreg2 using No2013.xls, ctitle(H2) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 if year<2013 ///
   , group(invid)	   
	  

outreg2 using No2013.xls, ctitle(H3) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



*gen a=L_hs_fitprice*FITexposAll
*gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a if year<2013 ///
   , group(invid)	   

estimates store nonmarket

clogit invchoice $controlVars ///
   L_hs_fitprice b if year<2013 ///
   , group(invid)	   

estimates store market

   
suest nonmarket market

testnl [nonmarket_invchoice]a = [market_invchoice]b



* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 if year<2013 ///
   , group(invid)	   
	  
outreg2 using No2013.xls, ctitle(H4) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 if year<2013 ///
   , group(invid)	   
	  
outreg2 using No2013.xls, ctitle(Full) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append







***********************************************************************************************************
***********************************************************************************************************
*********************************No 2012 and 2013**********************************************************
***********************************************************************************************************
***********************************************************************************************************



* Define the set of control variables 
global controlVars  agy_ngfijt L_fdi_netin_gdpperc  ///
			geodistance  diffcap ///
			uncertainty2_1 L_investfreed  ///
			pigs easteu hs_highcorp hs_highlib ///
			L_hs_demgrowth L_hs_solrad L_hs_prod L_hs_gdpch ///
			L_hs_envvalues1 L_hs_regulother 
	   
* Test only control variables

clogit invchoice $controlVars if year<2012 ///
   , group(invid)	   

outreg2 using No.xls, ctitle(C) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice if year<2012 ///
   , group(invid)	   
	  
outreg2 using No2012.xls, ctitle(H1) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll if year<2012 ///
   , group(invid)	   
	  

outreg2 using No2012.xls, ctitle(H2) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 if year<2012 ///
   , group(invid)	   
	  

outreg2 using No2012.xls, ctitle(H3) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



*gen a=L_hs_fitprice*FITexposAll
*gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a if year<2012 ///
   , group(invid)	   

estimates store nonmarket

clogit invchoice $controlVars ///
   L_hs_fitprice b if year<2012 ///
   , group(invid)	   

estimates store market

   
suest nonmarket market

testnl [nonmarket_invchoice]a = [market_invchoice]b



* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 if year<2012 ///
   , group(invid)	   
	  
outreg2 using No2012.xls, ctitle(H4) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 if year<2012 ///
   , group(invid)	   
	  
outreg2 using No2012.xls, ctitle(Full) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append















***********************************************************************************************************
***********************************************************************************************************
*********************************2003 - 2010***************************************************************
***********************************************************************************************************
***********************************************************************************************************



* Define the set of control variables 
global controlVars  agy_ngfijt L_fdi_netin_gdpperc  ///
			geodistance  diffcap ///
			uncertainty2_1 L_investfreed  ///
			pigs easteu hs_highcorp hs_highlib ///
			L_hs_demgrowth L_hs_solrad L_hs_prod L_hs_gdpch ///
			L_hs_envvalues1 L_hs_regulother 
	   
* Test only control variables

clogit invchoice $controlVars if year<2011 ///
   , group(invid)	   

outreg2 using No.xls, ctitle(C) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice if year<2011 ///
   , group(invid)	   
	  
outreg2 using No2011.xls, ctitle(H1) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll if year<2011 ///
   , group(invid)	   
	  

outreg2 using No2011.xls, ctitle(H2) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 if year<2011 ///
   , group(invid)	   
	  

outreg2 using No2011.xls, ctitle(H3) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



*gen a=L_hs_fitprice*FITexposAll
*gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a if year<2011 ///
   , group(invid)	   

estimates store nonmarket

clogit invchoice $controlVars ///
   L_hs_fitprice b if year<2011 ///
   , group(invid)	   

estimates store market

   
suest nonmarket market

testnl [nonmarket_invchoice]a = [market_invchoice]b



* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 if year<2011 ///
   , group(invid)	   
	  
outreg2 using No2011.xls, ctitle(H4) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 if year<2011 ///
   , group(invid)	   
	  
outreg2 using No2011.xls, ctitle(Full) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append










***********************************************************************************************************
***********************************************************************************************************
*********************************2003-2009*****************************************************************
***********************************************************************************************************
***********************************************************************************************************



* Define the set of control variables 
global controlVars  agy_ngfijt L_fdi_netin_gdpperc  ///
			geodistance  diffcap ///
			uncertainty2_1 L_investfreed  ///
			pigs easteu hs_highcorp hs_highlib ///
			L_hs_demgrowth L_hs_solrad L_hs_prod L_hs_gdpch ///
			L_hs_envvalues1 L_hs_regulother 
	   
* Test only control variables

clogit invchoice $controlVars if year<2010 ///
   , group(invid)	   

outreg2 using No.xls, ctitle(C) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice if year<2010 ///
   , group(invid)	   
	  
outreg2 using No2010.xls, ctitle(H1) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll if year<2010 ///
   , group(invid)	   
	  

outreg2 using No2010.xls, ctitle(H2) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 if year<2010 ///
   , group(invid)	   
	  

outreg2 using No2010.xls, ctitle(H3) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



*gen a=L_hs_fitprice*FITexposAll
*gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a if year<2010 ///
   , group(invid)	   

estimates store nonmarket

clogit invchoice $controlVars ///
   L_hs_fitprice b if year<2010 ///
   , group(invid)	   

estimates store market

   
suest nonmarket market

testnl [nonmarket_invchoice]a = [market_invchoice]b



* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 if year<2010 ///
   , group(invid)	   
	  
outreg2 using No2010.xls, ctitle(H4) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 if year<2010 ///
   , group(invid)	   
	  
outreg2 using No2010.xls, ctitle(Full) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append









******************************************************************************************************
********************************Invested***************************************************************
********************************************************************************************************

* Define the set of control variables 
global controlVars  agy_ngfijt L_fdi_netin_gdpperc  ///
			geodistance  diffcap ///
			uncertainty2_1 L_investfreed  ///
			pigs easteu hs_highcorp hs_highlib ///
			L_hs_demgrowth L_hs_solrad L_hs_prod L_hs_gdpch ///
			L_hs_envvalues1 L_hs_regulother Invested
	   
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   , group(invid)	   

gen samplefinal=e(sample)
	   
* Test only control variables

clogit invchoice $controlVars if samplefinal==1 ///
   , group(invid)	   

outreg2 using Invested.xls, ctitle(C) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice ///
   , group(invid)	   
	  
outreg2 using Invested.xls, ctitle(H1) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   , group(invid)	   
	  

outreg2 using Invested.xls, ctitle(H2) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   , group(invid)	   
	  

outreg2 using Invested.xls, ctitle(H3) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



gen a=L_hs_fitprice*FITexposAll
gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   , group(invid)	   

estimates store nonmarket

clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   , group(invid)	   

estimates store market

   
suest nonmarket market

testnl [nonmarket_invchoice]a = [market_invchoice]b



* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   , group(invid)	   
	  
outreg2 using Invested.xls, ctitle(H4) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   , group(invid)	   
	  
outreg2 using Invested.xls, ctitle(Full) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append








*************************************************************************************************************
**************************Categorical Non-market Experience**************************************************
*************************************************************************************************************

sum FITexposAll, d
gen x=(FITexposAll==r(p50))
replace x=1 if (FITexposAll==r(p50)+1)
replace x=1 if (FITexposAll==r(p50)-1)

gen nonmarket3values=0
replace nonmarket3values=1 if x==1
replace nonmarket3values=2 if FITexposAll>r(p50)+1

drop x


global controlVars  agy_ngfijt L_fdi_netin_gdpperc  ///
			geodistance  diffcap ///
			uncertainty2_1 L_investfreed  ///
			pigs easteu hs_highcorp hs_highlib ///
			L_hs_demgrowth L_hs_solrad L_hs_prod L_hs_gdpch ///
			L_hs_envvalues1 L_hs_regulother 

			

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.nonmarket3values ///
   , group(invid)	   
	  

outreg2 using CategoEU_v3.xls, ctitle(H2) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   , group(invid)	   
	  

outreg2 using CategoEU_v3.xls, ctitle(H3) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



gen a=L_hs_fitprice*nonmarket3values
gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   , group(invid)	   

estimates store nonmarket

clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   , group(invid)	   

estimates store market

   
suest nonmarket market

testnl [nonmarket_invchoice]a = [market_invchoice]b













*****************************************************************
*********************Long FIT**********************************
*****************************************************************

*******Main models for all countries************************************

egen x=pctile(hm_rufitage) , p(75) 
gen longfit= (hm_rufitage >x)


* Define the set of control variables 
global controlVars  agy_ngfijt L_fdi_netin_gdpperc  ///
			geodistance  diffcap ///
			uncertainty2_1 L_investfreed  ///
			pigs easteu hs_highcorp hs_highlib ///
			L_hs_demgrowth L_hs_solrad L_hs_prod L_hs_gdpch ///
			L_hs_envvalues1 L_hs_regulother 

			
	   
* Test only control variables
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if longfit==0 , group(invid)	   
	  
gen samplelong=e(sample)

clogit invchoice $controlVars ///
   if longfit==0 & samplelong==1, group(invid)	   

outreg2 using longfitEU.xls, ctitle(C recent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if longfit==1 , group(invid)	   

gen sampleNlong=e(sample)

clogit invchoice $controlVars ///
   if longfit==1 & sampleNlong==1 , group(invid)	   

outreg2 using longfitEU.xls, ctitle(C Nrecent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Test main effect and control variables (H1)

clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if longfit==0 , group(invid)	   
	  
outreg2 using longfitEU.xls, ctitle(H1 recent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

	   
clogit invchoice $controlVars ///
   L_hs_fitprice ///
   if longfit==1 , group(invid)	   
	  
outreg2 using longfitEU.xls, ctitle(H1 Nrecent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

* Test policy experience (H2)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if longfit==0 , group(invid)	   
	  

outreg2 using longfitEU.xls, ctitle(H2 recent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll ///
   if longfit==1 , group(invid)	   
	  

outreg2 using longfitEU.xls, ctitle(H2 Nrecent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


* Market experience (H3)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if longfit==0 , group(invid)	   
	  

outreg2 using longfitEU.xls, ctitle(H3 recent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.MarketExpos2 ///
   if longfit==1 , group(invid)	   
	  

outreg2 using longfitEU.xls, ctitle(H3 Nrecent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


/*
gen a=L_hs_fitprice*FITexposAll
gen b=L_hs_fitprice*MarketExpos2

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if longfit==0 , group(invid)	   

estimates store nonmarketrecentFIT

clogit invchoice $controlVars ///
   L_hs_fitprice a ///
   if longfit==1 , group(invid)	   

estimates store nonmarketNrecentFIT


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if longfit==0 , group(invid)	   

estimates store marketrecentFIT


clogit invchoice $controlVars ///
   L_hs_fitprice b ///
   if longfit==1 , group(invid)	   

estimates store marketNrecentFIT

   
suest nonmarketrecentFIT marketrecentFIT

testnl [nonmarketrecentFIT_invchoice]a = [marketrecentFIT_invchoice]b


suest nonmarketNrecentFIT marketNrecentFIT

testnl [nonmarketNrecentFIT_invchoice]a = [marketNrecentFIT_invchoice]b

*/
* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if longfit==0 , group(invid)	   
	  
outreg2 using longfitEU.xls, ctitle(H4 recent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append


clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExposAll1 ///
   if longfit==1 , group(invid)	   
	  
outreg2 using longfitEU.xls, ctitle(H4 Nrecent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append





* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if longfit==0, group(invid)	   
	  
outreg2 using longfitEU.xls, ctitle(Full recent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExposAll1 ///
   if longfit==1, group(invid)	   
	  
outreg2 using longfitEU.xls, ctitle(Full Nrecent FIT) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append





drop longfit x samplelong sampleNlong 








***********************************************************************************************
*********************Dummies for timing of Adverse Experience**********************************
***********************************************************************************************


global controlVars  agy_ngfijt L_fdi_netin_gdpperc  ///
			geodistance  diffcap ///
			uncertainty2_1 L_investfreed  ///
			pigs easteu hs_highcorp hs_highlib ///
			L_hs_demgrowth L_hs_solrad L_hs_prod L_hs_gdpch ///
			L_hs_envvalues1 L_hs_regulother 

			
			
* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExpPast1YrAll ///
   , group(invid)	   
	  
outreg2 using AdverseDummies.xls, ctitle(H4 1y) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExpPast1YrAll ///
   , group(invid)	   
	  
outreg2 using AdverseDummies.xls, ctitle(Full 1y) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append





* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExpPast3YrAll ///
   , group(invid)	   
	  
outreg2 using AdverseDummies.xls, ctitle(H4 3y) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExpPast3YrAll ///
   , group(invid)	   
	  
outreg2 using AdverseDummies.xls, ctitle(Full 3y) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append




* Adverse experience (H4)

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.AdverseExpPast5YrAll ///
   , group(invid)	   
	  
outreg2 using AdverseDummies.xls, ctitle(H4 5y) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append



* All

clogit invchoice $controlVars ///
   c.L_hs_fitprice##c.FITexposAll c.L_hs_fitprice##c.MarketExpos2 c.L_hs_fitprice##c.AdverseExpPast5YrAll ///
   , group(invid)	   
	  
outreg2 using AdverseDummies.xls, ctitle(Full 5y) label e(r2_p ) se bdec(3) stats(coef se pval) alpha(0.001, 0.01, 0.05, 0.1) symbol(***, **, *, +) parenthesis(se) bracket(pval) append











